Ubuntu Linux 9.04 - Technical Details

Ubuntu Linux 9.04 - Technical Details

Direct2Dell

The Official Dell Corporate Blog

Ubuntu Linux 9.04 - Technical Details

Note from Lionel: It's been a while since I've talked about Linux on Direct2Dell. Shortly after Ubuntu 9.04 was released in April 2009, we had a request from IdeaStorm user Shannon VanWagner to start pre-loading 9.04. Though it's late, we're now offering Ubuntu 9.04 on a few more Dell machines to customers in the United States. Specifically the Studio XPS 13, Inspiron 15, and the Inspiron 537 desktop. The Mini 10 and the 10v are still running a customized version of the 8.04 version of the Ubuntu OS. And the Mini 10v can be ordered with Ubuntu Moblin Remix Developer Edition.

To see all the systems we're offering with Linux, go to www.dell.com/ubuntu.

With that context, I'll turn things over to John Hull so he can shed light on what to expect from Ubunu 9.04.

--Lionel

----------------------------------

I'd like to give a quick update on the technical details for what we have added with our 9.04 release. We have continued to build and improve upon on what we did for our previous Ubuntu offerings, and here are some of the highlights:

  • We now provide Cyberlink's PowerDVD application for DVD playback (instead of LinDVD which we previously shipped). We also continue to provide Fluendo GStreamer codecs for mp3, wma, and wmv playback, which will work with your favorite Linux media player.
  • We created and provided a new GUI tool for creating recovery/restore media for the OS
  • We provide a new method to recover your Ubuntu preload from the hard drive
  • We have chosen to use GRUB 2 bootloader instead of the Ubuntu default GRUB 1 (a.k.a. GRUB legacy) bootloader. We have been testing GRUB 2 for over a year now, and feel it is ready for general use. The Ubuntu community has decided to make GRUB 2 the default in Ubuntu 9.10, so our customers will already have that feature enabled.
  • A common complaint we heard a few years ago was that there were no Linux drivers for Dell wireless cards. As of the date of this blog post, all currently-shipping Intel- and Dell-branded wireless cards (as well as most from the past several years) are now supported natively in Ubuntu 9.04. These drivers should also be included in most other newer Linux distributions as well.
  • Our Ubuntu 9.04 offering is still the 32-bit version and not the 64-bit version ("amd64" architecture). We continue to evaluate when to make the transition, and the main sticking point continues to be solid, stable Adobe Flash support for 64-bit. There are currently options
    available in the community, including a beta of a native 64-bit Flash
    plugin. However, none of these have proven to be reliably stable, so we'll continue working with Adobe until a viable option is available.

For more information, our Dell wiki page for 9.04 can be found at the previous link.  If you would like to download and install 9.04 with our custom Ubuntu ISO, it can be downloaded here.

As always, please report any OS issues in Launchpad, or you can always ask any general questions to our linux-desktops mailing list..

Update: Fixed broken links

0

To post a comment login or create an account

Comment Reminder

Unrelated comments or requests for service will be unpublished. Please post your technical questions in the Support Forums or for direct assistance contact Dell Customer Service or Dell Technical Support.. All comments must adhere to the Dell Community Terms of Use.

  • The 64-bit flash plugin is actually quite stable, it hasn't caused me a single problem since the initial release (as opposed to the 32-bit plugin under nspluginwrapper, which stops works literally every few minutes). Last time I checked, 32-bit and 64-bit plugins are also tagged with the same version, so the 64-bit plugin probably has the same security fixes. Debian's (64-bit) flashplugin-nonfree package works fine on Ubuntu, and that's what I've been using that lately.

    Also, as a Canadian, I'm disappointed that Dell Canada has simply stopped selling machines with Ubuntu on them a while ago. I don't even care if Ubuntu is preinstalled, I just want to be able to buy a laptop without buying a Windows license. It's surreal to me that I don't have that option.

  • Hi,

    Great to see that you continue this project. However, has I am a french custommer, I just regret (as Simon80) that the french store didn't allow to buy anything else that the Mini10. It would be better to have the same choice than US custommers.

    Hope you will spread this offer all over the world as soon as possible!

  • Heh so Dell starts shipping 9.04 two weeks before 9.10 is released. Oh well - any linux is better than no linux! Glad to hear about the wireless drivers too. Wireless cards in general used to be a major hurdle to would-be linux adopters and sometimes a royal pain to existing linux users. I was also puzzled by the 64 bit flash comment. I've been using flash on 64 bit linux for a couple of years. Granted, some of that time it was 32 bit and I used a 32 bit browser (opera) so it worked out well. But I've been using the 64 bit flash-nonfree package for a while now and haven't seen any more instability than what I recall of the 32 bit version. Of course there are still a few other application compatibility issues under 64 bit and they probably don't want to waste drive space installing the 32 bit compatibility libraries if this is being installed on netbooks with 4GB drives so I certainly understand the reluctance.

  • OK I was mistaken about the flash-nonfree package being 64 bit. I just installed it on a fresh system yesterday and it pulled in some 32 bit compatibility packages. I assumed that since flash was "just working" with 64 bit versions of both Opera and Firefox that it had been transitioned to 64 bit but that is not the case. Both Opera and Firefox 64 bit can run 32 bit plugins. To get the 64 bit flash you have to go to Adobe's site and download it manually.

    Move along. Nothing to see here.